########################################################################
# Configuration for medium NTP Analyzer Web Front with includes        #
########################################################################

# Connection parameters to SQL database instance.
Database {
        # Select either MySQL or PostgreSQL
        Provider MySQL

        # Address of SQL server
        Host 127.0.0.1

        # Port of SQL server.
        #Port 2567

        # Name of database
        Name ntpa

        # Database username
        User ntpau

        # Password for the user
        Pass password
}

Log {
        # Levels: error, warn, notice, info, debug and trace
        Severity info
        File /var/log/ntpa/ntpa.web.log
}

Notify ntpstat-summary {
        # Indicate if a test mail should be sent immediately after start up
        InitialRun 1

        # Send a mail every 1440 minutes or 24 hours
        Frequency 1440

        # Send the mail to this address
        Mail webmaster@example.com

        # Subject of mail
        Subject NTP Analyzer stats daily run - web

        # Sender of mail
        Sender ntpa@example.com

        # Address of SMTP host
        SmtpHost 127.0.0.1

        # Port number on SMTP host. The default port number is 25.
        #SmtpPort 25
}

# Multiple server configurations are available
Server {
        # Primary key in table 'host'
        HostID 1
        
        # Address queried by ntpq and ntpdc
        HostAddress ntp1.example.net
        
        # The utility used to query ntpd. Use ntpdc for old hosts.  
        HostType ntpq
        
        # Base path for generated files
        FilePath /usr/local/www/
        
        # Base URL for generated files
        WebPath /
        
        Include ntpa.inc.menu
        Include ntpa.inc.pages1
        Include ntpa.inc.pages2
        Include ntpa.inc.graphs1
        Include ntpa.inc.graphs2
}
